org.eclipse.rdf4j.sail.shacl.results.lazy

## Class ValidationResultIterator

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.lazy.ValidationResultIterator

- All Implemented Interfaces:
    Iterator<ValidationResult>

  Deprecated.

      @Deprecated
       @InternalUseOnly
      public class ValidationResultIterator
      extends Object
      implements Iterator<ValidationResult>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationResultIterator(CloseableIteration<Tuple,SailException> tupleIterator, long limit)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `conforms()` Deprecated.
    `List<Tuple>` | `getTuples()` Deprecated.
    `boolean` | `hasNext()` Deprecated.
    `boolean` | `isTruncated()` Deprecated.
    `ValidationResult` | `next()` Deprecated.
    `void` | `remove()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ValidationResultIterator

          public ValidationResultIterator(CloseableIteration<Tuple,SailException> tupleIterator,
                                          long limit)

      Deprecated.

  - ### Method Detail

    - #### getTuples

          public List<Tuple> getTuples()

      Deprecated.

    - #### conforms

          public boolean conforms()

      Deprecated.

    - #### isTruncated

          public boolean isTruncated()

      Deprecated.

    - #### hasNext

          public boolean hasNext()

      Deprecated.
      Specified by:
        `hasNext` in interface `Iterator<ValidationResult>`

    - #### next

          public ValidationResult next()

      Deprecated.
      Specified by:
        `next` in interface `Iterator<ValidationResult>`

    - #### remove

          public void remove()

      Deprecated.
      Specified by:
        `remove` in interface `Iterator<ValidationResult>`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.